package com.heyu.api.data.dao.user;
/**
* <p>
* 意见反馈记录 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.user.UserSuggestionRecordEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface UserSuggestionRecordDao extends BaseMapper<UserSuggestionRecordEntity> {


	UserSuggestionRecordEntity selectUserSuggestionRecordById(@Param("id")Long id);


	Long insertUserSuggestionRecord(UserSuggestionRecordEntity userSuggestionRecord);


	Long insertOrUpdateUserSuggestionRecord(UserSuggestionRecordEntity userSuggestionRecord);


	int updateUserSuggestionRecordById(UserSuggestionRecordEntity userSuggestionRecord);


	int updateCoverUserSuggestionRecordById(UserSuggestionRecordEntity userSuggestionRecord);


	int deleteUserSuggestionRecordById(@Param("id")Long id);


}